Re: Compiling against gtk2

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


On Sat, 2010-07-17 at 10:01 +0100, pbrobinson@xxxxxxxxx wrote:
> Hi All,
> 
> I'm having trouble compiling things against gtk2 due to the move of
> the includes.
> 
> It seems to affect at least libnotify and gdk-pixbuf and anything that
> links against them. As well as includes within gtk2 itself.
> 
> I filed a bug (originally against gdk-pixbuf but moved to gtk2 as it
> seems to have the problem, I'm not sure the best way to fix this but
> its causing me problems all over rawhide.
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=610839

One looks like an old bug in your app (which just happened to work
before), and the other problem (with libnotify) is a change made
upstream by yours truly to allow linking against any version of GTK+. So
you'll need to link against GTK+ yourself now.

Cheers

-- 
desktop mailing list
desktop@xxxxxxxxxxxxxxxxxxxxxxx
https://admin.fedoraproject.org/mailman/listinfo/desktop


[Fedora Users]     [Fedora Announce]     [Fedora Legacy Announce]     [Kernel]     [Fedora Legacy]     [Fedora Docs]     [Fedora Config]     [PAM]     [Red Hat Development]     [Red Hat 9]     [Gimp]     [Yosemite News]

Add to Google Powered by Linux